from Globals import InitializeClass
from AccessControl import ClassSecurityInfo

from Products.CMFCore.utils import getToolByName
from Products.CMFCore.permissions import View
from Products.CMFCore.permissions import ModifyPortalContent
from Products.CPSCore.CPSBase import CPSBase_adder, CPSBaseFolder 
from Products.CPSCore.CPSBase import CPSBaseDocument as BaseDocument 
from Products.CPSCore.CPSBase import CPSBaseBTreeFolder as BaseBTreeFolder 

#
# The StudentsFolder
#
class StudentsFolder(BaseBTreeFolder):
    """
    WAeUP container for the various WAeUP containers data 
    """
    meta_type = 'Students Folder'
    portal_type = meta_type
    security = ClassSecurityInfo()
    
InitializeClass(StudentsFolder)

def addStudentsFolder(container, id, REQUEST=None, **kw):
    """Add a Student."""
    print id
    ob = StudentsFolder(id, **kw)
    return CPSBase_adder(container, ob, REQUEST=REQUEST)
###
### The Student
###
##class Student(BaseDocument):
##    """
##    WAeUP Student container for the various student data 
##    """
##    meta_type = 'Student'
##    portal_type = meta_type
##    security = ClassSecurityInfo()
##    
##InitializeClass(Student)
##
##def addStudent(container, id, REQUEST=None, **kw):
##    """Add a Student."""
##    print id
##    ob = Student(id, **kw)
##    return CPSBase_adder(container, ob, REQUEST=REQUEST)
